﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using RimWorld;
using Verse;

namespace TROM
{
    public class TROMSettings : ModSettings
    {
        /// <summary>
        /// The three settings our mod has.
        /// </summary>
        public bool generateWithTROM;
        public float blockSize = 40f;

        /// <summary>
        /// The part that writes our settings to file. Note that saving is by ref.
        /// </summary>
        public override void ExposeData()
        {
            Scribe_Values.Look(ref generateWithTROM, "generateWithTROM");
            Scribe_Values.Look(ref blockSize, "CityblockSize", 200f);
            base.ExposeData();
        }
    }
}
